document.addEventListener('DOMContentLoaded', () => {
  // Add subtle animation to header
  const header = document.querySelector('header');
  header.style.transition = 'all 0.3s ease';
  
  window.addEventListener('scroll', () => {
    header.style.opacity = window.scrollY > 100 ? 0.95 : 1;
  });

  // Theme toggle for better accessibility
  const themeBtn = document.createElement('button');
  themeBtn.textContent = '🌓 Toggle Theme';
  themeBtn.style.position = 'fixed';
  themeBtn.style.bottom = '20px';
  themeBtn.style.right = '20px';
  themeBtn.addEventListener('click', () => {
    document.body.classList.toggle('light-theme');
  });
  
  document.body.appendChild(themeBtn);
});

// Smooth scroll for anchor links
document.querySelectorAll('a[href^="#"]').forEach(anchor => {
  anchor.addEventListener('click', function (e) {
    e.preventDefault();
    document.querySelector(this.getAttribute('href')).scrollIntoView({
      behavior: 'smooth'
    });
  });
});